// fichier copie.c
#include <stdio.h>

int main(int argc, char *argv[])
{
   FILE *fichierIn, *fichierOut;
   float val;
   // verifie que deux arguments ont bien ete passes au programme
   if (argc != 3)
     {
       fprintf(stderr, "Erreur de syntaxe: copie <fichierIn> <fichierOut>\n");
       return 1;
     }

   // ouvre le premier fichier en lecture
   fichierIn = fopen(argv[1], "r");
   
   // test si tout s'est bien passe
   if (!fichierIn)
     {
       fprintf(stderr, "Impossible d'ouvrir le fichier %s en lecture\n", argv[1]);
       return 2;
     }

   // si on est la, c'est que tout va bien. On ouvre le fichier en ecriture
   fichierOut = fopen(argv[2],"w");
   // on test encore si tout est ok
   if (!fichierOut)
     {
       fprintf(stderr, "Impossible d'ouvrir le fichier %s en ecriture\n", argv[2]);
       return 3;
     }

   // realise la copie
   while (fscanf(fichierIn, "%f", &val) == 1)
     fprintf(fichierOut, "%f\n", val);

   // ferme les fichiers ouverts
   fclose(fichierIn);
   fclose(fichierOut);

   return 0;
}
